## org.gnu.gdk
Class Cursor

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gdk.Cursor

public class Cursor
extends Boxed

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`Cursor(CursorType ctype)` Creates a new cursor from the set of builtin cursors.
`Cursor(Pixmap source, Pixmap mask, Color fg, Color bg, int x, int y)` Create a new cursor from a pixmap.

Method Summary
`protected static Handle` `gdk_cursor_new_from_pixmap(Handle source, Handle mask, Handle fg, Handle bg, int x, int y)`
`protected static Handle` `gdk_cursor_new(int cursorType)`
`protected static Handle` `gdk_cursor_ref(Handle cursor)`
`protected static void` `gdk_cursor_unref(Handle cursor)`
`protected static int` `getType(Handle obj)` BEGINNING OF JNI CODE

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cursor

    public Cursor(CursorType ctype)

  Creates a new cursor from the set of builtin cursors.

### Cursor

    public Cursor(Pixmap source,
                  Pixmap mask,
                  Color fg,
                  Color bg,
                  int x,
                  int y)

  Create a new cursor from a pixmap.

Method Detail

### getType

    protected static final int getType(Handle obj)

  BEGINNING OF JNI CODE

### gdk_cursor_new

    protected static final Handle gdk_cursor_new(int cursorType)

### gdk_cursor_new_from_pixmap

    protected static final Handle gdk_cursor_new_from_pixmap(Handle source,
                                                             Handle mask,
                                                             Handle fg,
                                                             Handle bg,
                                                             int x,
                                                             int y)

### gdk_cursor_ref

    protected static final Handle gdk_cursor_ref(Handle cursor)

### gdk_cursor_unref

    protected static final void gdk_cursor_unref(Handle cursor)